Package com.google.protobuf

# Interface FieldOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Field`, `Field.Builder`

public interface FieldOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`Field.Cardinality`
`getCardinality()`
`.google.protobuf.Field.Cardinality cardinality = 2 [json_name = "cardinality"];`
`int`
`getCardinalityValue()`
`.google.protobuf.Field.Cardinality cardinality = 2 [json_name = "cardinality"];`
`String`
`getDefaultValue()`
`string default_value = 11 [json_name = "defaultValue"];`
`ByteString`
`getDefaultValueBytes()`
`string default_value = 11 [json_name = "defaultValue"];`
`String`
`getJsonName()`
`string json_name = 10 [json_name = "jsonName"];`
`ByteString`
`getJsonNameBytes()`
`string json_name = 10 [json_name = "jsonName"];`
`Field.Kind`
`getKind()`
`.google.protobuf.Field.Kind kind = 1 [json_name = "kind"];`
`int`
`getKindValue()`
`.google.protobuf.Field.Kind kind = 1 [json_name = "kind"];`
`String`
`getName()`
`string name = 4 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 4 [json_name = "name"];`
`int`
`getNumber()`
`int32 number = 3 [json_name = "number"];`
`int`
`getOneofIndex()`
`int32 oneof_index = 7 [json_name = "oneofIndex"];`
`Option`
`getOptions(int index)`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`int`
`getOptionsCount()`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`List<Option>`
`getOptionsList()`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`OptionOrBuilder`
`getOptionsOrBuilder(int index)`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`List<? extends OptionOrBuilder>`
`getOptionsOrBuilderList()`
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`
`boolean`
`getPacked()`
`bool packed = 8 [json_name = "packed"];`
`String`
`getTypeUrl()`
`string type_url = 6 [json_name = "typeUrl"];`
`ByteString`
`getTypeUrlBytes()`
`string type_url = 6 [json_name = "typeUrl"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getKindValue

int getKindValue()
`.google.protobuf.Field.Kind kind = 1 [json_name = "kind"];`

Returns:
  The enum numeric value on the wire for kind.

### getKind

Field.Kind getKind()
`.google.protobuf.Field.Kind kind = 1 [json_name = "kind"];`

Returns:
  The kind.

### getCardinalityValue

int getCardinalityValue()
`.google.protobuf.Field.Cardinality cardinality = 2 [json_name = "cardinality"];`

Returns:
  The enum numeric value on the wire for cardinality.

### getCardinality

Field.Cardinality getCardinality()
`.google.protobuf.Field.Cardinality cardinality = 2 [json_name = "cardinality"];`

Returns:
  The cardinality.

### getNumber

int getNumber()
`int32 number = 3 [json_name = "number"];`

Returns:
  The number.

### getName

String getName()
`string name = 4 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`string name = 4 [json_name = "name"];`

Returns:
  The bytes for name.

### getTypeUrl

String getTypeUrl()
`string type_url = 6 [json_name = "typeUrl"];`

Returns:
  The typeUrl.

### getTypeUrlBytes

ByteString getTypeUrlBytes()
`string type_url = 6 [json_name = "typeUrl"];`

Returns:
  The bytes for typeUrl.

### getOneofIndex

int getOneofIndex()
`int32 oneof_index = 7 [json_name = "oneofIndex"];`

Returns:
  The oneofIndex.

### getPacked

boolean getPacked()
`bool packed = 8 [json_name = "packed"];`

Returns:
  The packed.

### getOptionsList

List<Option> getOptionsList()
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`

### getOptions

Option getOptions(int index)
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`

### getOptionsCount

int getOptionsCount()
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`

### getOptionsOrBuilderList

List<? extends OptionOrBuilder> getOptionsOrBuilderList()
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`

### getOptionsOrBuilder

OptionOrBuilder getOptionsOrBuilder(int index)
`repeated .google.protobuf.Option options = 9 [json_name = "options"];`

### getJsonName

String getJsonName()
`string json_name = 10 [json_name = "jsonName"];`

Returns:
  The jsonName.

### getJsonNameBytes

ByteString getJsonNameBytes()
`string json_name = 10 [json_name = "jsonName"];`

Returns:
  The bytes for jsonName.

### getDefaultValue

String getDefaultValue()
`string default_value = 11 [json_name = "defaultValue"];`

Returns:
  The defaultValue.

### getDefaultValueBytes

ByteString getDefaultValueBytes()
`string default_value = 11 [json_name = "defaultValue"];`

Returns:
  The bytes for defaultValue.